## casync 1+65

=== meson_options.txt ===
# -*- mode: meson -*-

option('fuse', type : 'boolean', value : true,
       description : 'build the fuse backend (requires fuse-devel)')
option('man', type : 'boolean', value : true,
       description : 'build and install man pages (requires spinx-build')

=== debian/changelog ===
casync (1+65-1) unstable; urgency=medium

  * Initial release for debian (Closes: #868980).
    - Import upstream git snapshot
  * Bump debhelper compat to 10, make use of builtin meson support
  * Set pkg-systemd as maintainer, and add myself as uploader
  * Bump standards version
  * Enable compiler hardening features
  * Add gbp config file
  * Add Vcs-* header
  * Add missing Build-Depends on openssl and sphinx
  * Force UTF-8 for building
    - Otherwise sphinx might choke
  * Add an autopkgtest running upstream tests as root

 -- Felipe Sateler <fsateler@debian.org>  Wed, 19 Jul 2017 20:50:52 -0400

casync (1-0ppa1) zesty; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Martin Pitt <mpitt@debian.org>  Thu, 08 Jun 2017 15:11:36 +0200

=== debian/control ===
Source: casync
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10.3),
 meson (>= 0.40),
 pkg-config,
 liblzma-dev (>= 5.1.0),
 libcurl4-gnutls-dev (>= 7.32.0) | libcurl-dev,
 libgcrypt-dev,
 libssl-dev | libssl1.0-dev,
 libacl1-dev | acl-dev,
 libfuse-dev (>= 2.6),
 python3-sphinx,
 rsync <!nocheck>
Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Martin Pitt <mpitt@debian.org>,
 Felipe Sateler <fsateler@debian.org>
Homepage: https://github.com/systemd/casync
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/collab-maint/casync.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/casync.git

Package: casync
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: content addressable data synchronizer
 casync is
 .
 1. A combination of the rsync algorithm and content-addressable storage
 2. An efficient way to store and retrieve multiple related versions of
    large file systems or directory trees
 3. An efficient way to deliver and update OS and container images over
    the Internet
 4. An efficient backup system
 .
 casync uses well-known concepts implemented in a variety of other projects
 (primarily git and rsync), and puts them together in a moderately new, nice
 way.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export LC_ALL=C.UTF-8

%:
	dh $@

## casync 1+92

=== meson_options.txt ===
# -*- mode: meson -*-

option('fuse', type : 'boolean', value : true,
       description : 'build the FUSE integration (requires fuse-devel)')
option('selinux', type : 'boolean', value : true,
       description : 'build the SELinux backend (requires libselinux-devel)')
option('man', type : 'boolean', value : true,
       description : 'build and install man pages (requires spinx-build')

=== debian/changelog ===
casync (1+92-1) unstable; urgency=medium

  * New upstream version 1+92
    - Includes undefined behavior fixes (Closes: #869136)
  * Drop unused libgrypt-dev build-dependency.
    Upstream moved to openssl
  * Use ninja instead of meson to run tests (Closes: #869531)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 24 Jul 2017 09:05:28 -0400

casync (1+65-2) unstable; urgency=medium

  * Restrict architecture to linux-any.
    While upstream has indicated it is willing to accept patches for other
    architectures, currently only linux is supported. (Closes: #869134)
  * Run tests in serially instead of in parallel
  * Bump test timeouts to 3 minutes. (Closes: #869140)

 -- Felipe Sateler <fsateler@debian.org>  Thu, 20 Jul 2017 21:11:37 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  pkg-config,
  liblzma-dev (>= 5.1.0),
  libcurl4-gnutls-dev (>= 7.32.0) | libcurl-dev,
- libgcrypt-dev,
  libssl-dev | libssl1.0-dev,
  libacl1-dev | acl-dev,
  libfuse-dev (>= 2.6),
@@ -21,7 +20,7 @@
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/casync.git
 
 Package: casync
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Description: content addressable data synchronizer

## casync 2

=== debian/changelog ===
casync (2-1ubuntu1) artful; urgency=medium

  * debian/patches/wrong_arg_to_strncmp.patch: Fix wrong argument passed
    to startswith().

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Sep 2017 19:07:04 +0000

casync (2-1) unstable; urgency=medium

  * New upstream version 2
    - Add new build-dependencies zstd and zlib for alternative compressors
  * Remove bogus Closes tag
  * Fix formatting error in casync.rst.
    This error caused a broken manpage
  * Install README and NEWS files

 -- Felipe Sateler <fsateler@debian.org>  Wed, 02 Aug 2017 12:01:16 -0400

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,14 @@
  liblzma-dev (>= 5.1.0),
  libcurl4-gnutls-dev (>= 7.32.0) | libcurl-dev,
  libssl-dev | libssl1.0-dev,
+ libzstd-dev,
+ zlib1g-dev,
  libacl1-dev | acl-dev,
  libfuse-dev (>= 2.6),
  python3-sphinx,
  rsync <!nocheck>
-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>,
  Felipe Sateler <fsateler@debian.org>
 Homepage: https://github.com/systemd/casync

## casync 2+61.20180112

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1+

option('fuse', type : 'boolean', value : true,
       description : 'build the FUSE integration (requires fuse-devel)')
option('selinux', type : 'boolean', value : true,
       description : 'build the SELinux backend (requires libselinux-devel)')
option('udev', type : 'boolean', value : true,
       description : 'build the libudev integration (requires libudev-devel)')
option('man', type : 'boolean', value : true,
       description : 'build and install man pages (requires spinx-build')

=== debian/changelog ===
casync (2+61.20180112-1) unstable; urgency=medium

  * New upstream version 2+61.20180112
    - Drop patches (applied upstream)
    - Add new libudev dependency
    - Fixes build with glibc 2.26 (Closes: #887692)

 -- Felipe Sateler <fsateler@debian.org>  Sat, 27 Jan 2018 10:15:19 -0300

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  liblzma-dev (>= 5.1.0),
  libcurl4-gnutls-dev (>= 7.32.0) | libcurl-dev,
  libssl-dev | libssl1.0-dev,
+ libudev-dev,
  libzstd-dev,
  zlib1g-dev,
  libacl1-dev | acl-dev,
  libfuse-dev (>= 2.6),
  python3-sphinx,
  rsync <!nocheck>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
+Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>,
  Felipe Sateler <fsateler@debian.org>
 Homepage: https://github.com/systemd/casync

## casync 2+20180321

=== meson_options.txt ===
--- 
+++ 
@@ -8,4 +8,4 @@
 option('udev', type : 'boolean', value : true,
        description : 'build the libudev integration (requires libudev-devel)')
 option('man', type : 'boolean', value : true,
-       description : 'build and install man pages (requires spinx-build')
+       description : 'build and install man pages (requires sphinx-build')

=== debian/changelog ===
casync (2+20180321-2ubuntu1) cosmic; urgency=medium

  * Pass -D_GNU_SOURCE to build to fix detection of renameat2 in glibc 2.28.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Aug 2018 16:50:19 +0000

casync (2+20180321-2) unstable; urgency=medium

  * Add udev Build-Depends to be able to query udev.pc (Closes: #897597)

 -- Felipe Sateler <fsateler@debian.org>  Thu, 03 May 2018 10:12:33 -0300

casync (2+20180321-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Update Vcs-* to point to https://salsa.debian.org

  [ Martin Pitt ]
  * New upstream version 2+20180321
    - Fixes udev rule installation.
  * debian/copyright: Use https URL in Format:
  * Bump Standards-Version to 4.1.4

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 May 2018 12:03:05 +0000

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,16 @@
  libacl1-dev | acl-dev,
  libfuse-dev (>= 2.6),
  python3-sphinx,
- rsync <!nocheck>
-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
+ rsync <!nocheck>,
+ udev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>,
  Felipe Sateler <fsateler@debian.org>
 Homepage: https://github.com/systemd/casync
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/casync.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/casync.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/systemd-team/casync.git
+Vcs-Browser: https://salsa.debian.org/systemd-team/casync
 
 Package: casync
 Architecture: linux-any

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-D_GNU_SOURCE

export LC_ALL=C.UTF-8

%:
	dh $@

override_dh_auto_test:
	dh_auto_test --no-parallel

## casync 2+20190213

=== meson_options.txt ===
--- 
+++ 
@@ -7,5 +7,21 @@
        description : 'build the SELinux backend (requires libselinux-devel)')
 option('udev', type : 'boolean', value : true,
        description : 'build the libudev integration (requires libudev-devel)')
+option('udevrulesdir', type : 'string', value: '',
+       description: 'Path where udev rules are installed to (Defaults to udevdir specified in udev.pc)')
 option('man', type : 'boolean', value : true,
        description : 'build and install man pages (requires sphinx-build')
+option('libzstd', type : 'feature',
+       description : 'link to libzstd')
+option('liblzma', type : 'feature',
+       description : 'link to liblzma (for XZ compression)')
+option('libz', type : 'feature',
+       description : 'link to zlib')
+
+option('oss-fuzz', type : 'boolean', value : 'false',
+       description : 'build against oss-fuzz')
+option('llvm-fuzz', type : 'boolean', value : 'false',
+       description : 'build against LLVM libFuzzer')
+
+option('bashcompletiondir', type : 'string',
+       description : 'directory for bash completion scripts ["no" disables]')

=== debian/changelog ===
casync (2+20190213-1) unstable; urgency=medium

  * New upstream version 2+20190213
    - Fixes FTBFS with gcc-9. (Closes: #925647)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 19 Aug 2019 23:14:24 -0400

casync (2+20180321-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glibc 2.28. (Closes: #907409)

 -- Adrian Bunk <bunk@debian.org>  Fri, 30 Nov 2018 14:37:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: casync
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper-compat (= 12),
  meson (>= 0.40),
  pkg-config,
  liblzma-dev (>= 5.1.0),
@@ -15,8 +15,7 @@
  python3-sphinx,
  rsync <!nocheck>,
  udev,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
+Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>,
  Felipe Sateler <fsateler@debian.org>
 Homepage: https://github.com/systemd/casync

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export LC_ALL=C.UTF-8

%:
	dh $@

override_dh_auto_test:
	dh_auto_test --no-parallel

=== debian/tests/control ===
Tests: upstream
Depends: @builddeps@
Restrictions: needs-root, rw-build-tree, allow-stderr

## casync 2+20201210

=== debian/changelog ===
casync (2+20201210-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.2, no changes
  * Build-depend on systemd-dev for pkgconfig instead of udev
  * Bump debhelper-compat to 13
  * d/watch: bump to version 4
  * Update upstream/metadata

 -- Luca Boccassi <bluca@debian.org>  Fri, 01 Dec 2023 23:52:31 +0000

casync (2+20201210-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate sphinx dependency :native (Closes: #983102)

  [ Martin Pitt ]
  * Update to current upstream git snapshot to pick up a few bug fixes.
  * Set Rules-Requires-Root to no
  * Bump Standards-Version to 4.5.1
  * Drop obsolete alternate libssl1.0-dev build dependency (Closes: #917339)

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Martin Pitt <mpitt@debian.org>  Sun, 21 Feb 2021 07:54:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: casync
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  meson (>= 0.40),
  pkg-config,
  liblzma-dev (>= 5.1.0),
  libcurl4-gnutls-dev (>= 7.32.0) | libcurl-dev,
- libssl-dev | libssl1.0-dev,
+ libssl-dev,
  libudev-dev,
  libzstd-dev,
  zlib1g-dev,
  libacl1-dev | acl-dev,
  libfuse-dev (>= 2.6),
- python3-sphinx,
+ python3-sphinx:native,
  rsync <!nocheck>,
- udev,
+ systemd-dev,
 Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>,
  Felipe Sateler <fsateler@debian.org>
 Homepage: https://github.com/systemd/casync
-Standards-Version: 4.1.4
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/systemd-team/casync.git
 Vcs-Browser: https://salsa.debian.org/systemd-team/casync
+Rules-Requires-Root: no
 
 Package: casync
 Architecture: linux-any

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/casync-$1\.tar\.gz/ \
  https://github.com/systemd/casync/tags .*/v?(\d\S*)\.tar\.gz
